## org.eclipse.datatools.sqltools.sqleditor.internal.editor
Class SQLEditorContentOutlinePage

    java.lang.Object
      org.eclipse.ui.part.Page
          org.eclipse.ui.views.contentoutline.ContentOutlinePage
              org.eclipse.datatools.sqltools.sqleditor.internal.editor.SQLEditorContentOutlinePage

All Implemented Interfaces:
  org.eclipse.jface.viewers.ISelectionChangedListener, org.eclipse.jface.viewers.ISelectionProvider, org.eclipse.ui.part.IPage, org.eclipse.ui.part.IPageBookViewPage, org.eclipse.ui.views.contentoutline.IContentOutlinePage

    public class SQLEditorContentOutlinePage

extends org.eclipse.ui.views.contentoutline.ContentOutlinePage

This class provides a content outline page for the SQL Editor.

Constructor Summary
`SQLEditorContentOutlinePage(org.eclipse.ui.texteditor.IDocumentProvider provider, SQLEditor sqlEditor)` Constructs an instance of this class using the given provider and the given editor.

Method Summary
`void` `createControl(org.eclipse.swt.widgets.Composite parent)` Creates the SWT control for this page under the given parent control.
`org.eclipse.ui.texteditor.IDocumentProvider` `getDocumentProvider()` Gets the document provider associated with this outline page.
`java.lang.Object` `getInput()` Gets the input for this outline page.
`SQLEditor` `getSQLEditor()` Gets the SQL Editor associated with this outline page.
`void` `selectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent event)` Notifies that the selection has changed, using the given SelectionChangedEvent.
`void` `setDocumentProvider(org.eclipse.ui.texteditor.IDocumentProvider docProvider)` Sets the document provider associated with this outline page to the given document provider.
`void` `setInput(java.lang.Object input)` Sets the input of this outline page to the given object.
`void` `setSQLEditor(SQLEditor sqlEditor)` Sets the SQL Editor associated with this outline page to the given editor.
`void` `update()` Updates the outline page.

Methods inherited from class org.eclipse.ui.views.contentoutline.ContentOutlinePage
`addSelectionChangedListener, getControl, getSelection, init, removeSelectionChangedListener, setFocus, setSelection`

Methods inherited from class org.eclipse.ui.part.Page
`dispose, getSite, makeContributions, setActionBars`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.part.IPage
`dispose, setActionBars`

Constructor Detail

### SQLEditorContentOutlinePage

    public SQLEditorContentOutlinePage(org.eclipse.ui.texteditor.IDocumentProvider provider,
                                       SQLEditor sqlEditor)

  Constructs an instance of this class using the given provider and the given editor.

  Parameters:
    `provider` - the document provider to use
    `sqlEditor` - the SQL text editor associated with this view

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Creates the SWT control for this page under the given parent control. The `ContentOutlinePage` implementation of this `IContentOutlinePage` method creates a tree viewer.

  Specified by:
    `createControl` in interface `org.eclipse.ui.part.IPage`
  Overrides:
    `createControl` in class `org.eclipse.ui.views.contentoutline.ContentOutlinePage`
  See Also:
    `ContentOutlinePage.createControl(org.eclipse.swt.widgets.Composite)`, `IPage.createControl(org.eclipse.swt.widgets.Composite)`

### getDocumentProvider

    public org.eclipse.ui.texteditor.IDocumentProvider getDocumentProvider()

  Gets the document provider associated with this outline page.

  Returns:
    the document provider

### getInput

    public java.lang.Object getInput()

  Gets the input for this outline page.

  Returns:
    the input for this outline page

### getSQLEditor

    public SQLEditor getSQLEditor()

  Gets the SQL Editor associated with this outline page.

  Returns:
    the associated SQL Editor

### selectionChanged

    public void selectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent event)

  Notifies that the selection has changed, using the given SelectionChangedEvent.

  Specified by:
    `selectionChanged` in interface `org.eclipse.jface.viewers.ISelectionChangedListener`
  Overrides:
    `selectionChanged` in class `org.eclipse.ui.views.contentoutline.ContentOutlinePage`
  See Also:
    `ISelectionChangedListener.selectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent)`

### setDocumentProvider

    public void setDocumentProvider(org.eclipse.ui.texteditor.IDocumentProvider docProvider)

  Sets the document provider associated with this outline page to the given document provider.

  Parameters:
    `docProvider` - the document provider to use

### setInput

    public void setInput(java.lang.Object input)

  Sets the input of this outline page to the given object.

  Parameters:
    `input` - the input to set

### setSQLEditor

    public void setSQLEditor(SQLEditor sqlEditor)

  Sets the SQL Editor associated with this outline page to the given editor.

  Parameters:
    `sqlEditor` - the associated SQL Editor

### update

    public void update()

  Updates the outline page.